Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetRecentlyVisitedTMeUrls

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.TMeUrls>
it.tdlight.jni.TdApi.GetRecentlyVisitedTMeUrls

Enclosing class:
  TdApi

public static final class TdApi.GetRecentlyVisitedTMeUrls extends TdApi.Function<TdApi.TMeUrls>
Returns t.me URLs recently visited by a newly registered user.

Returns `TMeUrls`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`referrer`
Google Play referrer to identify the user.

## Constructor Summary

Constructors
Constructor
Description
`GetRecentlyVisitedTMeUrls()`
Returns t.me URLs recently visited by a newly registered user.
`GetRecentlyVisitedTMeUrls(DataInput input)`
Returns t.me URLs recently visited by a newly registered user.
`GetRecentlyVisitedTMeUrls(String referrer)`
Returns t.me URLs recently visited by a newly registered user.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### referrer

public String referrer
Google Play referrer to identify the user.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetRecentlyVisitedTMeUrls

public GetRecentlyVisitedTMeUrls()
Returns t.me URLs recently visited by a newly registered user.

Returns `TMeUrls`

### GetRecentlyVisitedTMeUrls

public GetRecentlyVisitedTMeUrls(String referrer)
Returns t.me URLs recently visited by a newly registered user.

Returns `TMeUrls`

Parameters:
  `referrer` - String Google Play referrer to identify the user.

### GetRecentlyVisitedTMeUrls

public GetRecentlyVisitedTMeUrls(DataInput input) throws IOException
Returns t.me URLs recently visited by a newly registered user.

Returns `TMeUrls`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`